Главная / Новости / Уязвимости переполнения буфера в продуктах промышленной автоматизации производства Opto22

Уязвимости переполнения буфера в продуктах промышленной автоматизации производства Opto22

Критическая уязвимость переполнения буфера выявлена в программных продуктах PAC Control Basic и PAC Control Professional производства компании Opto22. Данные продукты используются для промышленной автоматизации, управления технологическими процессами, автоматизации зданий, удаленного мониторинга и приложений Industrial Internet of Things (IIoT) в различных отраслях промышленности.

Успешная эксплуатация уязвимости CVE-2017-14026 может привести к недоступности устройства и выполнению произвольного кода.

Брешь имеет оценку 8,4 балла по шкале CVSS v.3 и затрагивает программное обеспечение версии R10.0а и более ранних версий.

Для устранения уязвимости производитель рекомендует обновить программное обеспечение до новейшей версии.

Источник: ICS-CERT